import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

class SettingsSection extends StatelessWidget {
  final bool showBottomDivider;
  final String title;
  final List<Widget> tiles;
  final TextStyle titleTextStyle;

  const SettingsSection(
      {Key key,
      this.showBottomDivider = true,
      this.title,
      this.tiles,
      this.titleTextStyle})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return section(context);
  }

  Widget section(BuildContext context) {
    return Column(crossAxisAlignment: CrossAxisAlignment.start, children: [
      title == null
          ? Container()
          : Padding(
              padding: const EdgeInsets.all(16),
              child: Text(
                title,
                style: titleTextStyle ??
                    TextStyle(
                      color: Theme.of(context).accentColor,
                      fontWeight: FontWeight.bold,
                    ),
              ),
            ),
      ListView.separated(
        physics: NeverScrollableScrollPhysics(),
        shrinkWrap: true,
        itemCount: tiles == null ? 0 : tiles.length,
        separatorBuilder: (BuildContext context, int index) =>
            Divider(height: 1),
        itemBuilder: (BuildContext context, int index) {
          return tiles == null ? null : tiles[index];
        },
      ),
      if (showBottomDivider) Divider(height: 1)
    ]);
  }
}
