import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

class BooleanTile extends StatelessWidget {
  final String title;
  final String subtitle;
  final Widget leading;
  final Function(bool value) onToggle;
  final bool switchValue;
  final bool enabled;
  final TextStyle titleTextStyle;
  final TextStyle subtitleTextStyle;
  final Color switchActiveColor;

  const BooleanTile({
    Key key,
    @required this.title,
    this.subtitle,
    this.leading,
    this.enabled = true,
    @required this.onToggle,
    @required this.switchValue,
    this.titleTextStyle,
    this.subtitleTextStyle,
    this.switchActiveColor,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return tile();
  }

  Widget tile() {
    return SwitchListTile(
      secondary: leading,
      value: switchValue ?? false,
      activeColor: switchActiveColor,
      onChanged: enabled ? onToggle : null,
      title: Text(title, style: titleTextStyle),
      subtitle:
          subtitle != null ? Text(subtitle, style: subtitleTextStyle) : null,
    );
  }
}
