import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';

class SimpleTile extends StatelessWidget {
  final String title;
  final String subtitle;
  final Widget leading;
  final Widget trailing;
  final VoidCallback onTap;
  final bool enabled;
  final TextStyle titleTextStyle;
  final TextStyle subtitleTextStyle;

  const SimpleTile({
    Key key,
    @required this.title,
    this.subtitle,
    this.leading,
    this.trailing,
    this.onTap,
    this.titleTextStyle,
    this.subtitleTextStyle,
    this.enabled = true,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return tile();
  }

  Widget tile() {
    return ListTile(
      title: Text(title, style: titleTextStyle),
      subtitle:
          subtitle != null ? Text(subtitle, style: subtitleTextStyle) : null,
      leading: leading,
      enabled: enabled,
      trailing: trailing,
      onTap: onTap,
    );
  }
}
